Description

The URLs generated for the RRD graphs should use whatever protocol (HTTP/HTTPS) the page they were generated from is using,

rather than getting forced to HTTP.  This patch does that by just leaving the protocol portion of the URL off entirely.

Related issues:

Related to Foreman - Feature #151: add show host page Closed 01/08/2010

Has duplicate Foreman - Bug #143: SSL url for reports Closed 12/21/2009

History

#1 - 12/20/2009 02:47 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Frank Sweetser

this patch will not work when the rrd's are stored on another host than the host running foreman.

I'm not sure it makes so much sense to keep on supporting the rrd graphs, as it is so much easier for us just to plot them our self.

do you consider the rrd graphs as something that requires SSL? - as I assume you must have a vhost for supporting  kickstart anyway...

#2 - 12/20/2009 03:54 PM - Frank Sweetser

Ohad Levy wrote:

this patch will not work when the rrd's are stored on another host than the host running foreman.

 That's true, I didn't consider that configuration.  I guess you could either put the host.pm_fqdn value back in, or remove the leading / and let the user

set the hostname (and, if required, protocol) as part of :rrd_report_url.

I'm not sure it makes so much sense to keep on supporting the rrd graphs, as it is so much easier for us just to plot them our self.

 That would certainly make things simpler.

do you consider the rrd graphs as something that requires SSL? - as I assume you must have a vhost for supporting  kickstart anyway...

 In my setup, yeah, I'd prefer to keep them SSL.  I basically have two vhosts - one on 80 for things that can't be secured (kickstart and the like), and

another one on 443 that apache is setup to require authentication for.

#3 - 01/16/2010 03:16 PM - Ohad Levy

now that there are host report graphs, can I reject this ?

#4 - 01/17/2010 02:44 AM - Frank Sweetser

Fine by me - moving the graphs into foreman itself completely solves the issue for me.  Thanks!

#5 - 01/17/2010 02:24 PM - Ohad Levy
- Status changed from Feedback to Rejected
